/*******************************************************************************
 * Copyright (C) 2017 Philipp Spohr
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 ******************************************************************************/
package de.hhu.ba.yoshikoWrapper.graphModel;

import java.util.ArrayList;

import org.cytoscape.model.CyNetwork;

public class YoshikoSolution {

	private final YoshikoResult result;

	public ArrayList<YoshikoCluster> cluster;

	private final long id;

	public YoshikoSolution(YoshikoResult yoshikoResult, long id) {
		cluster = new ArrayList<YoshikoCluster>();
		this.result = yoshikoResult;
		this.id = id;
	}

	//_____________GETTER / SETTER ________________//

	public ArrayList<YoshikoCluster> getClusters() {
		return cluster;
	}

	/**
	 * @return the id
	 */
	public long getId() {
		return id;
	}

	public CyNetwork getOriginalGraph() {
		return result.getOriginalGraph();
	}

}
